/**
 * Service which exposes various utility methods.
 */
export abstract class UtilService {

  public abstract isAdBlockEnabled(callback: (isEnabled: boolean) => void): void;

  public abstract isEmailAddress(str: string): boolean;

  public abstract getMarkedDown(str: string): string;

  public abstract getFirstMarkdownLineAsText(commentString: string, placeholderNeeded: boolean): string;

  public abstract escapeHtmlString(text: string): string;

  public abstract getRestUrl(args: any[]): string;

  public abstract textToSafeHtml(text: string): string;
}
