import 'core-js';
import { bundle } from 'ng-metadata/core';
import { QuayModule } from './quay.module';
import { provideRun } from './quay-run';
import * as angular from 'angular';


/**
 * Register ng-metadata module as a traditional AngularJS module on the global namespace for non-TypeScript components.
 * TODO: Needed for non-TypeScript components/services to register themselves. Remove once they are migrated.
 * See https://hotell.gitbooks.io/ng-metadata/content/docs/recipes/bootstrap.html
 */
const ng1QuayModule: string = bundle(QuayModule, []).name;
angular.module('quay', [ng1QuayModule])
  .run(provideRun);
